API explorerOncall
Edit a group's name, rotation, or escalation (admin or owner)
PATCH /api/agent/oncall/{groupId}. Required scopes: oncall:write.
Loading API reference…
Required scopes: oncall:write
bearer oncall:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: oncall:write
groupId*stringapplication/jsonname?string1 <= length <= 60rotation?escalation?array<>items <= 5Success
application/jsongroup*curl -X PATCH 'https://example.com/api/agent/oncall/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "group": { "id": "string", "teamId": "string", "name": "string", "rotation": { "members": [ { "userId": "string", "name": "string", "image": "string" } ], "period": "daily", "handoffAt": "string", "timezone": "string", "startsAt": "2019-08-24T14:15:22Z" }, "escalation": [ { "afterMinutes": 0, "target": "next" } ], "current": { "person": { "userId": "string", "name": "string", "image": "string" }, "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "override": true, "overrideId": "string" }, "upcoming": [ { "person": { "userId": "string", "name": "string", "image": "string" }, "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "override": true, "overrideId": "string" } ], "overrides": [ { "id": "string", "person": { "userId": "string", "name": "string", "image": "string" }, "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z" } ], "openPageCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}